package de.cliffbreak.varo.listeners;

import org.bukkit.GameMode;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.PlayerDeathEvent;
import org.bukkit.scheduler.BukkitRunnable;

import de.cliffbreak.varo.Varo;

public class PlayerDeathListener implements Listener {

    private final Varo plugin;

    public PlayerDeathListener(final Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onPlayerDeath(final PlayerDeathEvent e) {
        new BukkitRunnable() {
            @Override
            public void run() {
                e.getEntity().kickPlayer("§4Du bist gestorben.\n \n§cDamit bist du aus §eVaro§c ausgeschieden.");
            }
        }.runTaskLater(this.plugin, 20);
        e.getEntity().setHealth(20d); // Reset health to prevent death dialog after rejoin (if unbanned)
        e.getEntity().setGameMode(GameMode.SPECTATOR);
        this.plugin.getBanUtils().addBan(e.getEntity().getUniqueId());
    }

}